De-allocate Shipment API:
Description: It is used to De-allocate a B2B shipment
Basic Information
| NAME | DETAILS |
|---|---|
| Usage: | Mandatory |
| URL: | https://api.rapidshyp.com/rapidshyp/apis/v1/b2b/orders/b2b_ext_deallocate_shipment |
| Request Type: | POST |
| Scheme: | HTTPS |
| Header (content-type): | application/json |
| Header (rapidshyp-token): | API-Key |
Curl:
curl --location 'https://api.rapidshyp.com/rapidshyp/apis/v1/b2b/orders/b2b_ext_deallocate_shipment' \
--header 'rapidshyp-token: <API-KEY>' \
--header 'Content-Type: application/json' \
--data '{
"shipment_id": "BS260519546"
}''
| Request Parameters | Requirement | Remark | Validation |
|---|---|---|---|
{ | |||
| shipment_id | Mandatory | Shipment ID created on Rapidshyp | Should be a valid shipment ID |
} |
Response:
JSON
{
"code": 200,
"remarks": "Successful",
"new_shipment_id": "BS122233",
"old_shipment_id": "BS260519546",
}